Asianux 2.0 Service Pack 2 ---- RELEASE NOTES version 1.5

Forums: 

----------------------------------------------------
0. Contents
----------------------------------------------------

1. Overview of New Features
2. Components
3. General Notes
4. Restrictions/Known Bugs
5. Feedback
6. Copyright

----------------------------------------------------
1. Overview of New Features
----------------------------------------------------

Asianux 2.0 Service Pack has the following new features:

o Device drivers which were newly added into the kernel:
- QLogic ISP2100 host adapter family support with failover (qla2100fo)
[8.01.06]
- QLogic ISP2200 host adapter family support with failover (qla2200fo)
[8.01.06]
- QLogic ISP2300/ISP6312 host adapter family support with failover (qla2300fo)
[8.01.06]
- QLogic ISP2322/ISP6322 host adapter family support with failover (qla2322fo)
[8.01.06]
- QLogic ISP24xx host adapter family support with failover (qla2400fo)
[8.01.06]
- QLogic ISP2xxx Driver-level Failover support (qla2xxxfo)
[8.01.06]
- Dell Systems Management Base Driver (dcdbas)
[5.6.0-2]

o Device drivers which were updated:
- Broadcom NetXtreme II BCM5706/5708 Driver (bnx2) 1.4.38
- Marvell PCI Gigabit Ethernet Adapter (sk98lin) 8.41.2.3
- Marvell Yukon 2 Gigabit Ethernet driver (sky2) 1.6
- PCI-X Ethernet driver for Neterion 10GbE Server NIC (s2io) 2.0.14.5152
- LSI Logic MegaRAID SAS Driver (megaraid_sas) 00.00.02.03-RH1
- LSI Logic MegaRAID Mailbox Driver (megaraid_mbox.ko) 2.20.4.6-rh2
- QLogic Fibre Channel HBA Driver (qla2xxx.ko) 8.01.04-d7
- Intel(R) PRO/100 Network Driver (e100.ko) 3.5.10-k2-NAPI
- Intel(R) PRO/1000 Network Driver (e1000.ko) 7.2.9-NAPI
- Broadcom Tigon3 ethernet driver (tg3.ko) 3.58b
- Dell PERC2, 2/Si, 3/Si, 3/Di, Adaptec Advanced Raid Products,
HP NetRAID-4M, IBM ServeRAID & ICP SCSI driver (aacraid.ko)
1.1-5[2431]custom
- IBM ASM Service Processor Device Driver (ibmasm) 1.0
- IBM ServeRAID Adapter Driver (ips) 7.12.02
- Emulex LightPulse Fibre Channel SCSI driver 8.0.16.18 (lpfc.ko) 0:8.0.16.27
- Emulex LightPulse Fibre Channel driver IOCTL support (lpfcdfc.ko) 2.0.15
- Intel(R) PRO/Wireless 2100 Network Driver (ipw2100) git-1.1.4
- Intel(R) PRO/Wireless 2200/2915 Network Driver (ipw2200) git-1.0.10
- 3ware 9000 Storage Controller device driver (3w-9xxx) 2.26.04.010

o Note:
- Oracle ASM library kernel driver (oracleasm) and Oracle Cluster File System
2 for Linux (ocfs2) moved into kernel package.

----------------------------------------------------
2. Components
----------------------------------------------------
- kernel 2.6.9
- glibc 2.3.4
- gcc 3.4.6
- x.org 6.8.2
- rpm 4.3.3
- KDE 3.2.1
- openssh 4.0p1
- bind 9.2.4
- dhcp 3.0.1
- openldap 2.2.13
- postfix 2.1.10
- sendmail 8.13.1
- proftpd 1.3.0
- squid 2.5.STABLE6
- Apache 2.0.52
- PHP 5.0.5
- MySQL 4.1.20
- PostgreSQL 8.0.8
- Samba 3.0.20b
- ntp 4.2.0
- net-snmp 5.1.2
- iscsi 4.0.3
- iptables 1.2.11
- Perl 5.8.5
- Python 2.3.4
- ruby 1.8.1
- OraNavi 10.3
- CUPS 1.1.22
- ghostscript 7.07
- subversion 1.1.4
- firefox 1.5.0.9

----------------------------------------------------
3. General Notes
----------------------------------------------------
o LKST
LKST function was excluded by normal kernel. LKST built-in kernel is
put in Asianux/extra/kernel-lkst directory in the installation CD.
After install lkst kernel, reboot the system using that kernel.

o Asianux 2.0 Service Pack 2 doesn`t support upgrading of an already installed
system. It only supports new installations.

o Asianux 2.0 ServicePack 2 supports I/OAT(Version1.7). In order to use
this function, it needs to be enable I/OAT on BIOS and load ioatdma.ko
module.

# modprobe ioatdma

When the module is loaded, the following warning message would be displayed
but you can ignore it.

"Module ioatdma cannot be unloaded due to unsafe usage in
drivers/dma/ioatdma.c:829"

Note that you have reboot the system if you want to unload ioatdma.ko
module.

----------------------------------------------------
4. Restrictions/Known Bugs
----------------------------------------------------

o When you build sybase15.0, an unexpected error may occur.
*** glibc detected *** free(): invalid pointer: 0x083a2660 ***
sh: line 1: 18893 Aborted
to avoid this error, set the value of the environment variable MALLOC_CHECK_
to 0 before building it.

o xpdf cannot treat a file whose name is in Korean language. In this
case you better to use kghostviewer, but kghostviewer cannot display
some pdf which use old format. Then you have to rename the file name
to English name and use xpdf.

o On some NEC machines, display resolution has been set to `800x600
24bits` by default after the installation.
To solve this problem, change the value of `DefaultDepth` in
/etc/X11/xorg.conf from 24 to 16.

----------------------------------------------------
5. Feedback
----------------------------------------------------
We are always trying to improve Asianux.
Therefore, we would like to know what you think in using it.
If you have any comments or suggestions about Asianux,
please send them to the following e-mail address.

feedback@asianux.com

----------------------------------------------------
6. Copyright
----------------------------------------------------
Copyright 2006,2007 Red Flag Software CO.,Ltd. ,
Miracle Linux Corporation and
Hancom,Inc
All rights reserved.

Copyright© 2007-2019 Asianux. All rights reserved.